
;---------------------------------------------
;LOOKUP TABLES
;---------------------------------------------
ENEMY1		DB	0, 0, 3, 2, 0, 0

THIRDTICK	DB	0, 3, 6, 9, 12, 15, 18, 21, 255		;LOOKUP TABLE FOR EVERY 3RD GAME TICK (255 IS TERMINATION CHARACTER)

LEVEL1		DB  0, 0, 2, 0, 1, 1, 0, 2, 0, 0, 0		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 1, 12 ENEMIES (R=6,B=6,G=0)
			DB  0, 1, 0, 2, 0, 0, 2, 0, 1, 0, 0		;21 = $15
			DB  0, 0, 1, 0, 2, 2, 0, 1, 0, 0, 0		;32 = $20
			DB  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
			DB  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

LEVEL2		DB  0, 1, 2, 1, 0, 1, 2, 1, 0, 0, 0		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 2, 19 ENEMIES(R=10,B=8,G=1)
			DB  0, 2, 1, 2, 3, 2, 1, 2, 0, 0, 0
			DB  0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0
			DB  0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0
			DB  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0

LEVEL3		DB  1, 1, 0, 0, 0, 3, 0, 0, 0, 1, 1		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 3, 25 ENEMIES (R=11,B=11,G=2)
			DB  2, 2, 1, 1, 1, 3, 1, 1, 1, 2, 2
			DB  0, 0, 2, 2, 2, 1, 2, 2, 2, 0, 0
			DB  0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0
			DB  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
	
LEVEL4		DB  2, 2, 0, 0, 1, 0, 1, 0, 0, 2, 2		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 4, 28 ENEMIES (R=18,B=6,G=4)
			DB  0, 0, 2, 1, 1, 1, 1, 1, 2, 0, 0
			DB  0, 0, 1, 3, 3, 0, 3, 3, 1, 0, 0
			DB  0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0
			DB  0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0
			
LEVEL5		DB  1, 1, 1, 2, 0, 2, 1, 3, 0, 0, 0		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 5, 30 ENEMIES (R=15,B=8,G=7)
			DB  1, 0, 0, 2, 0, 2, 1, 3, 0, 0, 0
			DB  1, 1, 0, 2, 0, 2, 1, 3, 0, 0, 0			
			DB  1, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0
			DB  1, 1, 1, 0, 2, 0, 1, 3, 3, 3, 0
			
LEVEL6		DB  0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 6, 33 ENEMIES (R=11,B=11,G=11)
			DB  0, 0, 1, 1, 2, 2, 2, 1, 1, 0, 0
			DB  1, 1, 2, 2, 3, 3, 3, 2, 2, 1, 1
			DB  2, 2, 3, 3, 0, 0, 0, 3, 3, 2, 2
			DB  3, 3, 0, 0, 0, 0, 0, 0, 0, 3, 3			
			
LEVEL7		DB  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 7, 37 ENEMIES (R=28,B=9,G=0)
			DB  1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1
			DB  1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 1
			DB  1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1
			DB  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1
			
LEVEL8		DB  0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 8, 41 ENEMIES (R=27,B=6,G=8)
			DB  1, 3, 1, 0, 1, 2, 1, 0, 1, 3, 1
			DB  1, 3, 1, 0, 1, 2, 1, 0, 1, 3, 1
			DB  1, 3, 1, 0, 1, 2, 1, 0, 1, 3, 1
			DB  1, 3, 1, 2, 1, 2, 1, 2, 1, 3, 1		

LEVEL9		DB  0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 0		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 9, 47 ENEMIES (R=16,B=24,G=7)
			DB  2, 0, 1, 1, 1, 1, 1, 1, 1, 0, 2
			DB  2, 1, 3, 3, 3, 3, 3, 3, 3, 1, 2
			DB  2, 0, 1, 1, 1, 1, 1, 1, 1, 0, 2
			DB  0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 0			
			
LEVEL10		DB  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1		;LOOKUP TABLE FOR THE ENEMY PATTERN OF LEVEL 10, 55 ENEMIES (R=28,B=15,G=12)
			DB  1, 2, 2, 2, 3, 3, 3, 2, 2, 2, 1
			DB  1, 3, 3, 3, 2, 2, 2, 3, 3, 3, 1
			DB  1, 2, 2, 2, 3, 3, 3, 2, 2, 2, 1
			DB  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1
			

;---------------------------------------------
;PALLET DATA
;---------------------------------------------


palette:											;THIS PART INCLUDES THE DEFINITION OF THE 16 COLORS USED IN THE GAME, EXPORTED FROM AKUSPRITE EDITOR
    dw $0000 ;0  -RGB	;BLACK
    dw $0800 ;1  -RGB	;DARK RED
    dw $0080 ;2  -RGB	;DARK GREEN
    dw $0880 ;3  -RGB	;DARK YELLOW
    dw $0008 ;4  -RGB	;DARK BLUE
    dw $0808 ;5  -RGB	;DARK MAGENTA
    dw $0088 ;6  -RGB	;DARK CYAN
    dw $0CCC ;7  -RGB	;LIGHT GRAY
    dw $0888 ;8  -RGB	;DARK GRAY
    dw $0F00 ;9  -RGB	;LIGHT RED
    dw $00F0 ;10  -RGB	;LIGHT GREEN
    dw $0FF0 ;11  -RGB	;LIGHT YELLOW
    dw $000F ;12  -RGB	;LIGHT BLUE
    dw $0F0F ;13  -RGB	;LIGHT MAGENTA
    dw $00FF ;14  -RGB	;LIGHT CYAN
    dw $0FFF ;15  -RGB	;WHITE

;---------------------------------------------
;INCLUDE EXTERNAL FILES
;---------------------------------------------
	include "\Sources\x16-ReverseDirection-r37\Functions.asm"
	
	;USE THESE INCLUDES TO USE THE MONITOR FUNCTION
	;include "\Sources\x16-ReverseDirection-r37\Includes\Monitor.asm"
	;include "\Sources\x16-ReverseDirection-r37\Includes\BasicFunctions-MONITOR.asm"	
	
	include "\Sources\x16-ReverseDirection-r37\Includes\BasicFunctions.asm"	
	
BitmapFont:
	incbin "\Sources\x16-ReverseDirection-r37\Includes\Font96.FNT"
	
;---------------------------------------------	
;THE TEXT USED IN THE GAME
;---------------------------------------------
TITLETEXT		BYTE	$F5,"         PRESS RETURN TO START!",255
TITLECLEAR		BYTE	$F5," ",255
LIVESTEXT		BYTE	$EE,$DB,"     LIVES LEFT",255
LIVESCLEAR		BYTE	$EE," ",255
LEVELTEXT		BYTE	$EB,$DB,"      LEVEL",255
LEVELCLEAR		BYTE	$EB," ",255
GAMEOVERTEXT	BYTE	$EE,$DB,"     GAME OVER!",$F0,"     WOULD YOU LIKE TO PLAY AGAIN? (Y/N):",255
GAMEOVERCLEAR	BYTE	$EE," ",$F0," ",255

;---------------------------------------------	
;SPRITE DEFINION FILES USED IN THE GAME
;---------------------------------------------
;LOAD ALL FOUR SPRITE ANIMATION FRAMES FOR THE SPRITES (SPRITE-8-1 THROUGH SPRITE-8-4, 8X8 PIXELS)
sprite81:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-8-1.RAW"
sprite81_end:

sprite82:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-8-2.RAW"
sprite82_end:

sprite83:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-8-3.RAW"
sprite83_end:

sprite84:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-8-4.RAW"
sprite84_end:

	
;LOAD ALL FOUR SPRITE ANIMATION FRAMES FOR THE SPRITES (SPRITE-B1 THROUGH SPRITE-B4, 16X16 PIXELS)
sprite161:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-16-1.RAW"
sprite161_end:

sprite162:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-16-2.RAW"
sprite162_end:

sprite163:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-16-3.RAW"
sprite163_end:

sprite164:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-16-4.RAW"
sprite164_end:

;LOAD TITLE SCREEN SPRITES
sprite32:		
	incbin "\Sources\x16-ReverseDirection-r37\Res\Sprite-32.RAW"
sprite32_end: